Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Subscription Billing

List Billing Charges

OpenAPI Spec

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

GET
/public/api/v1/subscriptions/billing/charges

Returns a paginated list of billing agreement charges created for your merchant account. Use this endpoint to audit scheduled billing events, see their states, and review current or historic attempts. You can optionally filter the list by billingAgreementId to focus on a single agreement.

Authorization

BearerAuth
headerAuthorizationBearer <token>

Query Parameters

billingAgreementIdstring

Optional UUID of a billing agreement to filter the charges list.

Format:
uuid
pageinteger

Page number.

Default:
1
perPageinteger

Number of items per page.

Range:
value <= 500
Default:
25

Response Body

application/json

application/json

application/json

application/json

curl -X GET 'https://payments.epay.eu/public/api/v1/subscriptions/billing/charges'
{  "page": 0,  "perPage": 0,  "lastPage": 0,  "total": 0,  "firstPageUrl": "string",  "lastPageUrl": "string",  "nextPageUrl": "string",  "previousPageUrl": "string",  "nextPage": 0,  "previousPage": 0,  "from": 0,  "to": 0,  "path": "string",  "items": [    {      "billingAgreementCharge": {        "id": "019a72a0-4247-71c4-a4da-62b534d87af6",        "state": "PROCESSING",        "transactionId": "LDG7M4WW44G",        "billingPlanId": "019a729e-41c2-7d16-a1e2-fdb15a8146bb",        "billingAgreementId": "019a729e-2d93-7612-9329-8f783f66f834",        "deadlineAt": "2030-09-05T12:00:00Z",        "nextAttemptAt": "2030-08-01T12:00:00Z",        "createdAt": "2030-07-29T15:51:28.071Z"      }    }  ]}